Subject: Re: Mac swi Prolog

From: [email-masked]
Date: Fri, 2 Jun 2000 15:32:06 -0400 (EDT)

> Is there any swi Prolog for the Macintosh available? I did a lot of
> scientific Prolog programming seven years ago. I always had difficulties
> to find a fast version. During the last few years I didn´t hear anything
> about Prolog.

A port to MacOS would be difficult, I'd think.  Much easier would be to wait
a few months for MacOS X Beta and port to that, or port immediately
to MacOS Server.  Both are BSD-flavored.  But this won't work
if you need to run it under a "classic" environment.

Another alternative is OpenProlog (if I remember correctly).  That
is a fairly nice prolog.

Fred

PS. SWI-Prolog works great on a Mac if it's running Linux/PPC!